import { createApp } from 'vue'

import App from './App.vue'
import router from './router'
import store from './stores/index'
import 'normalize.css'
import './assets/css/style.css'
import SvgIcon from "@/components/SvgIcon/index.vue";
import "virtual:svg-icons-register";

import i18n from "./lang/index";

import flexible from "./utils/flexible.js";

import "./router/router-config"  // 路由守卫，做动态路由的地方

const app = createApp(App)
app.use(router)
.use(store)
.component("SvgIcon", SvgIcon)
.use(i18n)
.mount('#app')


flexible();

